package io.renren.modules.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.business.entity.BusinessProjectEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 立项管理
 * 
 * @author jiaqiao
 * @email jiaqiao@163.com
 * @date 2022-08-21 15:36:25
 */
@Mapper
public interface BusinessProjectDao extends BaseMapper<BusinessProjectEntity> {

    /**
     * 合同检索方法
     * @param params
     * @return
     */
    List<BusinessProjectEntity> querySearchList(Map<String, Object> params);

    /**
     * 根据ids遍历信息数组
     * @param list
     * @return
     */
    List<BusinessProjectEntity> queryPerojectList(String[] list);

    /**
     * 更改合同标志状态isContract变成是
     * @param ids
     */
    void changeState(String[] ids);
    /**
     * 更改合同标志状态isContract变成否
     * @param ids
     */
    void channelState(String[] ids);

    List<Map<String,Object>> getTotal(Map<String, Object> params);

    /**
     * 立项负责工人idList
     * @return
     */
    List<Integer> ddIdList();

    /**
     * 获取所有的列表
     * @return
     */
    List<BusinessProjectEntity> allList();

    /**
     * 立项详情
     * @param id
     * @return
     */
    BusinessProjectEntity projectInfo(@Param("id") Integer id);

    List<BusinessProjectEntity> quaryListNoPage(Map<String, Object> params);

    /**
     * 审批不通过
     * @param approvalId
     */
    void updateNoPassByIds(@Param("approvalId") String approvalId);
}
